+1-888-365-2779
Try Now
More in this section

Forums / Bugs & Issues / Sitefinity on .NET 3.5

Sitefinity on .NET 3.5

2 posts, 0 answered
  1. Lee
    Lee avatar
    1 posts
    Registered:
    03 Dec 2008
    12 Dec 2008
    Link to this post

    We recently upgraded our ASP.NET application to use .NET 3.5 and are having problems due to ScriptManager object versioning.

    Sitefinity (3.5.1747) appears to use some RadControls objects that have strong references to the 1.0.61025.0 version of System.Web.Extensions (ie the EditPost and EditThread controls in the Forums module), preventing us from upgrading Sitefinity to run correctly on .NET 3.5.  Replacing just the RadControls DLLs with the bin35 RadControls doesn’t work because the Sitefinity controls are linked to the older RadControls.
     
    Would it be possible for you to post a version of Sitefinity that uses RadControls targeted for .NET 3.5?

  2. Ivan Dimitrov
    Ivan Dimitrov avatar
    16072 posts
    Registered:
    25 Nov 2016
    15 Dec 2008
    Link to this post
    Hello Lee,

    You can build your Sitefinity website using .NET Framework 3.5 without replacing the assemblies in the bin folder. You need to build the application to target Framework 3.5 and binding redirection for System.Web.Extensions will be generated.

    We are considering the possibility to release 3.6 against Framework 2.0 and 3.5. Check out the following blog post So, how do you feel about .NET 3.5?

    Regards,
    Ivan Dimitrov
    the Telerik team

    Check out Telerik Trainer, the state of the art learning tool for Telerik products.
2 posts, 0 answered